<!doctype html>
<html lang="pl" xmlns:th="http://www.w3.org/1999/xhtml" xmlns:sec="http://www.w3.org/1999/xhtml">
    <head>
        <meta charset="utf-8">
        <title></title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="/css/bootstrap.min.css" rel="stylesheet">
        <link rel="stylesheet" href="/categories.css" type="text/css" />
        <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Parisienne&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;300;400&display=swap" rel="stylesheet">
    </head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script>
        function openForm() {
          if (document.getElementById("myForm").style.display == "none")
          {
            document.getElementById("myForm").style.display = "block";
          }else{
            document.getElementById("myForm").style.display = "none";
          }
        }
    </script>
    <script>
        $(document).ready(function(){
            $('[data-toggle="tooltip"]').tooltip();
        });
    </script>
    <body>
        <div id="headerwrap">
            <div class="navbar navbar-default navbar-fixed-top" role="navigation">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="/">
                        <img src="/images/logo.png" alt="Logo" style="height: 20px;">
                    </a>
                </div>

                <div class="navbar-collapse collapse">
                    <ul class="nav navbar-nav navbar-right">
                        <li><a href="/attractions">Kategorie</a></li>
                        <li><a href="/trip_plan" sec:authorize="isAuthenticated()">Zaplanuj wycieczkę</a></li>
                        <li><a href="/admin" sec:authorize="hasAuthority('ADMIN')">Panel administratora</a></li>
                        <li><a href="/login" sec:authorize="isAnonymous()">Login</a></li>
                        <li><a href="/logout" sec:authorize="isAuthenticated()"><span th:text="${#authentication.getPrincipal().getUsername()} + ' - Wyloguj'"></span></a></li>
                        <li><a href="/register" sec:authorize="isAnonymous()">Rejestracja</a></li>
                    </ul>
                </div>
            </div>
        </div>


        <div class="col-md-12 search_box">
            <div class="col-md-8 col-md-offset-2 list_box">

                <form th:object="${attractions}" th:action="@{/search}" method="get">

                <div class="col-md-4 city">
                    <label for="name">Nazwa</label>
                    <input type="text" id="name" name="name" th:value="${name}"/>
                </div>

                <div class="col-md-4 attraction">
                    <label for="type">Typ</label>
                    <select id="type" name="type">
                        <option  th:value="Góry" value="Góry">Góry</option>
                        <option  th:value="Miasta" value="Miasta">Miasta</option>
                        <option  th:value="Parki" value="Parki">Parki Narodowe</option>
                        <option  th:value="Architektura" value="Architektura">Architektura</option>
                        <option  th:value="Woda" value="Woda">Jeziora, rzeki, morze</option>
                        <option  th:value="Lasy" value="Lasy">Lasy</option>
                    </select>
                </div>

                <div class="col-md-4 search">
                    <input type="submit" value="Wyszukaj"/>
                </div>

                </form>
            </div>
        </div>

        <div class="col-md-12 box">

            <div th:each="attraction : ${attractions} "class="col-md-6">
                <div class="col description">
                    <h2 th:text="${attraction.name}"></h2>
                    <h4 th:text="${attraction.type}"></h4>
                    <h4 th:text="${attraction.id}"></h4>

                    <a th:href="@{/attractions/{attractionId}(attractionId=${attraction.id})}">Więcej</a>
                    <br />
                    <a th:href="@{/attractions/addFavorite/{attractionId}(attractionId=${attraction.id})}" data-toggle="tooltip" title="Naciśnij aby dodać atrakcję do swojej trasy!">Zaplanuj</a>
                </div>
                <div class="col image">
                    <img th:src="@{${attraction.imgSrc}}" />
                </div>
            </div>
        </div>

        <div class="col-md-12 footer">
            <br />
            <h4>Wszelkie prawa zastrzeżone © 2020</h4>
        </div>

        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    </body>
</html>